=== test/Makefile ===
.PHONY: test

test:
	# For now integration tests don't work (lua-posix problems), skipping them
	#$(MAKE) -C integration test
