=== debian/changelog ===
notion (3+2017050501-1) unstable; urgency=medium

  * New upstream release
    - Add focuslist menu for workspaces (thanks to @hedning)
    - Add sizepolicy support for menus (thanks to @hedning)
    - Fix statusd free memory (thanks to @jsbackus)
    - Improve error messages for invalid key combinations (thanks to @xmw and
      @knixeur)
    - configuration options for warp cursor placement (thanks to Campbell
      Barton)
    - include net_client_list in the default configuration
    - add Subtle(wm)-like window management to contrib scripts (@gwash)
    - add rofi menu support (thanks to @olejorgenb and @hedning)
    - various cleanups (thanks to Campbell Barton, Wojtek Aniszewski, @jsbackus,
      Joe Mason, @olejorgenb)

 -- Dima Kogan <dkogan@debian.org>  Fri, 22 Dec 2017 17:52:37 -0800
