=== debian/watch ===
version = 3
opts=uversionmangle=s/-/+/ https://github.com/raboof/notion/tags .*/notion/archive/(\d-\d+).tar.gz
