## notion 4.0.1+dfsg

=== mod_dock/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)
 
 SOURCES=dock.c
-DOCS=LICENSE
+DOCS=LICENSE README.dock
 
 MAKE_EXPORTS=mod_dock
