=== po/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 MSGCAT = msgcat
 LXGETTEXT = lua-xgettext
 
-TRANSLATIONS := fi cs fr de
+TRANSLATIONS := fi cs
 MO_FILES := $(patsubst %,%.mo, $(TRANSLATIONS))
 PO_FILES := $(patsubst %,%.po, $(TRANSLATIONS))
 
@@ -88,9 +88,3 @@
 update_cs: pot
 	$(MSGMERGE) -U cs.po $(POTFILE)
 
-update_fr: pot
-	$(MSGMERGE) -U fr.po $(POTFILE)
-
-update_de: pot
-	$(MSGMERGE) -U de.po $(POTFILE)
-
