=== debian/changelog ===
notion (4.0.2+dfsg-7build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:40:53 +0000

notion (4.0.2+dfsg-7) unstable; urgency=medium

  * Added forgotten #include in patch. (Closes: #1066322)
  * /etc/X11/notion/cfg_debian_ext.lua is installed in the package
    (Closes: #679764)
  * added "clean" target (Closes: #1047621)

 -- Dima Kogan <dkogan@debian.org>  Mon, 18 Mar 2024 18:17:46 -0700

notion (4.0.2+dfsg-6) unstable; urgency=medium

  * Fixed debian/watch

 -- Dima Kogan <dkogan@debian.org>  Fri, 12 Nov 2021 12:11:39 -0800

notion (4.0.2+dfsg-5) unstable; urgency=medium

  * dh_missing now flags warnings not errors (Closes: #987507)

 -- Dima Kogan <dkogan@debian.org>  Sun, 25 Apr 2021 23:41:14 -0700

notion (4.0.2+dfsg-4) unstable; urgency=medium

  * Fix FTCBFS: Use the host architecture pkg-config. Thanks to Helmut
    Grohne! (Closes: #982291)

 -- Dima Kogan <dkogan@debian.org>  Sat, 27 Feb 2021 21:52:44 -0800

notion (4.0.2+dfsg-3) unstable; urgency=medium

  * Building with xft support

 -- Dima Kogan <dkogan@debian.org>  Sun, 21 Feb 2021 10:51:28 -0800

notion (4.0.2+dfsg-2) unstable; urgency=medium

  * notion and notion-i18n menu entries are both generated.
    (Closes: #981377)

 -- Dima Kogan <dkogan@debian.org>  Sat, 30 Jan 2021 18:27:28 -0800

notion (4.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Updated the homepage in debian/control (Closes: #933226)
  * Updated /etc/default/notion with default ALTMETA (Closes: #978980)
  * Dima Kogan is the maintainer

 -- Dima Kogan <dkogan@debian.org>  Wed, 13 Jan 2021 23:01:07 -0800

notion (4.0.1+dfsg-2) unstable; urgency=medium

  * Uploading to unstable

 -- Dima Kogan <dkogan@debian.org>  Tue, 29 Dec 2020 13:17:52 -0800

notion (4.0.1+dfsg-1) experimental; urgency=medium

  * Upstream update
    - Release notes at https://github.com/raboof/notion/releases/tag/4.0.1
    - Migration notes at https://notionwm.net/migration.html
    - Notably, Notion is now LGPL again, so can be moved back
      from non-free into the general distribution
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Fix day-of-week for changelog entry 20050322-2.
  * Excluding everything in contrib/ without an explicit license statement

 -- Dima Kogan <dkogan@debian.org>  Mon, 16 Nov 2020 00:38:24 -0800

notion (3+2019092501-1) experimental; urgency=medium

  * Upstream update
    - Depending on lua5.3, not lua5.2

 -- Dima Kogan <dkogan@debian.org>  Sun, 29 Sep 2019 20:27:06 -0700
