=== notion/Makefile ===
--- 
+++ 
@@ -11,20 +11,30 @@
 
 ######################################
 
-EXECUTABLE = notion
+SOURCES=notion.c
 
-SOURCES = notion.c
+TARGETS=notion
 
 INCLUDES += $(X11_INCLUDES)
 INCLUDES += $(LIBMAINLOOP_INCLUDES) $(LIBTU_INCLUDES) $(LIBEXTL_INCLUDES)
 INCLUDES += -I..
 
-LIBS += $(X11_LIBS) -lSM -lICE
+LIBS += $(X11_LIBS)
 LIBS += $(WHOLEA) $(LIBMAINLOOP_LIBS) $(LIBEXTL_LIBS) $(LIBTU_LIBS) $(NO_WHOLEA)
 LIBS += $(LUA_LIBS) $(DL_LIBS)
 LIBS += -lm
 
-MODULE_PATH = $(TOPDIR)
+ifeq ($(PRELOAD_MODULES),1)
+EXT_OBJS += $(foreach mod, $(MODULE_LIST), ../$(mod)/$(mod).a)
+DEPEND_DEPENDS += preload.c
+SOURCES += preload.c
+TO_CLEAN += preload.c
+LIBS += -lSM -lICE
+else
+LINKOPTS = $(EXPORT_DYNAMIC)
+WHOLEA = -Wl,-whole-archive
+NO_WHOLEA = -Wl,-no-whole-archive
+endif
 
 EXT_OBJS += ../ioncore/ioncore.a
 
@@ -40,6 +50,12 @@
 
 ######################################
 
+notion: $(OBJS) $(EXT_OBJS)
+	$(CC) $(LINKOPTS) $(OBJS) $(WHOLEA) $(EXT_OBJS) $(NO_WHOLEA) $(LDFLAGS) -o $@
 
-_install: executable_install
+preload.c:
+	$(LUA) ../build/mkpreload.lua $(MODULE_LIST) > preload.c
 
+_install:
+	$(INSTALLDIR) $(DESTDIR)$(BINDIR)
+	$(INSTALL) -m $(BIN_MODE) notion $(DESTDIR)$(BINDIR)
