=== utils/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 ######################################
 
-SUBDIRS=ion-completefile ion-statusd
+SUBDIRS=ion-completefile
 INSTALL_SUBDIRS=$(SUBDIRS)
 
 SHELLSCRIPTS = ion-runinxterm ion-completeman notion-lock
