=== debian/control ===
Source: notion
Section: x11
Priority: optional
Maintainer: Dima Kogan <dkogan@debian.org>
Standards-Version: 4.1.2
Build-Depends: debhelper-compat (= 13), pkg-config, lua5.3, liblua5.3-dev, libx11-dev, libxext-dev, libsm-dev, libxinerama-dev, libxrandr-dev, libxft-dev
XS-Autobuild: yes
Vcs-Browser: https://salsa.debian.org/debian/notion
Vcs-Git: https://salsa.debian.org/debian/notion.git
Homepage: https://www.notionwm.net

Package: notion
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils, menu (>= 2.1.9)
Recommends: xfonts-75dpi | xfonts-75dpi-transcoded | xfonts-100dpi | xfonts-100dpi-transcoded, libxrandr2, libxinerama1
Suggests: wmdocker
Provides: x-window-manager, notion-api-${source:Upstream-Version}
Replaces: particleman
Description: tiling tabbed window manager designed for keyboard users
 Notion divides the screen into tiles and places windows in these tiles
 by default.  Each tile has a set of tabs for the windows within it.
 It also allows windows to be made 'floating' and placed freely.  Notion
 can be controlled through the keyboard alone or together with a mouse.
 .
 Notion can be configured and extended using the Lua language.  It also
 supports extension modules written in C.

Package: notion-dev
Section: devel
Architecture: all
Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.3, gcc (>> 3)
Description: Notion development files
 Notion divides the screen into tiles and places windows in these tiles
 by default.  Each tile has a set of tabs for the windows within it.
 It also allows windows to be made 'floating' and placed freely.  Notion
 can be controlled through the keyboard alone or together with a mouse.
 .
 This package contains the files necessary for building extension
 modules to the Notion window manager
