=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%notion-$1.tar.gz%" https://github.com/raboof/notion/tags .*/notion/archive/(\d+\.\d+\.\d+).tar.gz
