=== ioncore/Makefile ===
--- 
+++ 
@@ -50,12 +50,11 @@
 
 # without -finstrument-functions
 profiling.o: profiling.c
-	$(CC) $(CFLAGS:-finstrument-functions=) -c profiling.c -o profiling.o
+	$(CC) $(CPPFLAGS) $(CFLAGS:-finstrument-functions=) -c $< -o $@
 
 ioncore.o: exports.h
 
 ioncore.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
-	$(RANLIB) $@
 
 _install: lc_install
