=== libmainloop/Makefile ===
--- 
+++ 
@@ -26,6 +26,5 @@
 
 libmainloop.a: $(OBJS)
 	$(AR) $(ARFLAGS) $@ $+
-	$(RANLIB) $@
 
 _install:
