=== mod_xinerama/Makefile ===
--- 
+++ 
@@ -61,4 +61,4 @@
 ################ ls_xinerama utility ###############
 
 ls_xinerama: ls_xinerama.c
-	$(CC) $(CFLAGS) ls_xinerama.c -o ls_xinerama $(LDFLAGS) $(LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) ls_xinerama.c -o $@ $(LIBS)
