=== po/Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 	../mod_sm \
 	../mod_sp \
 	../mod_statusbar \
-	../mod_mgmtmode \
 	../de \
 	../notion \
 	../etc \
