=== libtu/test/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 SOURCES=../misc.c ../tokenizer.c ../util.c ../output.c
 
-LIBS += $(LUA_LIBS) $(DL_LIBS) -lm
+LIBS += $(LUA_LIBS) $(DL_LIBS) $(LIBTU_LIBS) -lm
 INCLUDES += $(LIBTU_INCLUDES)
 CFLAGS += $(XOPEN_SOURCE) $(C99_SOURCE)
 
@@ -17,6 +17,6 @@
 ######################################
 
 test: $(SOURCES)
-	$(CC) $(CFLAGS) -o tutest $(SOURCES) tutest.c $(LIBS)
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) $(INCLUDES) -o tutest $(SOURCES) tutest.c $(LIBS)
 	./tutest
 	$(RM) ./tutest
