=== mod_statusbar/ion-statusd/Makefile ===
--- 
+++ 
@@ -14,8 +14,8 @@
 
 DEFINES += -DETCDIR=\"$(ETCDIR)\" -DSHAREDIR=\"$(SHAREDIR)\" \
            -DEXTRABINDIR=\"$(EXTRABINDIR)\" -DMODULEDIR=\"$(MODULEDIR)\" \
-	   -DLCDIR=\"$(LCDIR)\" -DLOCALEDIR=\"$(LOCALEDIR)\" \
-	   -DCF_ION_EXECUTABLE=\"notion\"
+           -DLCDIR=\"$(LCDIR)\" -DLOCALEDIR=\"$(LOCALEDIR)\" \
+           -DCF_ION_EXECUTABLE=\"notion\"
 
 SOURCES = ion-statusd.c exec.c extlrx.c
 
@@ -34,8 +34,8 @@
 ######################################
 
 ion-statusd: $(OBJS) $(EXT_OBJS)
-	$(CC) $(LINKOPTS) $(OBJS) $(EXT_OBJS) $(LDFLAGS) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(LINKOPTS) $(OBJS) $(EXT_OBJS) -o $@ $(LIBS)
 
 _install: lc_install
 	$(INSTALLDIR) $(DESTDIR)$(EXTRABINDIR)
-	$(INSTALL) -s -m $(BIN_MODE) ion-statusd $(DESTDIR)$(EXTRABINDIR)
+	$(INSTALL) $(INSTALL_STRIP) -m $(BIN_MODE) ion-statusd $(DESTDIR)$(EXTRABINDIR)
