=== debian/changelog ===
notion (4.0.3+dfsg-2) unstable; urgency=medium

  * Build with the c17 standard (Closes: #1097476

 -- Dima Kogan <dkogan@debian.org>  Wed, 24 Sep 2025 23:20:06 -0700

notion (4.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #1075318)

 -- Dima Kogan <dkogan@debian.org>  Fri, 03 Jan 2025 10:40:10 -0800
