=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: notion
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils, menu (>= 2.1.9)
+Depends: ${misc:Depends}, ${shlibs:Depends}, xterm | x-terminal-emulator, x11-utils, menu
 Recommends: xfonts-75dpi | xfonts-75dpi-transcoded | xfonts-100dpi | xfonts-100dpi-transcoded, libxrandr2, libxinerama1
 Suggests: wmdocker
 Provides: x-window-manager, notion-api-${source:Upstream-Version}
@@ -28,7 +28,7 @@
 Package: notion-dev
 Section: devel
 Architecture: all
-Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.3, gcc (>> 3)
+Depends: ${misc:Depends}, libx11-dev, libsm-dev, lua5.3, gcc
 Description: Notion development files
  Notion divides the screen into tiles and places windows in these tiles
  by default.  Each tile has a set of tabs for the windows within it.
