=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDTOOLS=1
-include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# To fix https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1097476
#   We define void (*destroy_fn)() and we call it with an argument
# The new default of c23 treats () as (void)
CFLAGS += -std=c17

# The upstream Makefiles do not look at CPPFLAGS. They should, and this should
# be unnecessary
override_dh_auto_build:
	NOTION_RELEASE=$(DEB_VERSION) CFLAGS="$(CFLAGS) $(CPPFLAGS)" dh_auto_build

override_dh_installman-arch:
	for langdir in debian/tmp/usr/share/man/*; do								\
		lang=`basename $$langdir`;									\
		test $$lang = "man1" || dh_installman --language $$lang debian/tmp/usr/share/man/$$lang/man1/*;	\
	done
	dh_installman --language C debian/tmp/usr/share/man/man1/* debian/install-notion-cfg.1

override_dh_installmenu-arch:
	dh_installmenu
	install -m644 debian/notion.menu-method.i18n \
		debian/notion/etc/menu-methods/notion-i18n

override_dh_install-indep:
	dh_install -i

	# install headers
	find . \( -name debian -o -name .pc -o -name config.h -o -name snprintf.h \) \
		-prune -o -name '*.h' -exec install -m644 -D {} \
		debian/notion-dev/usr/include/notion/{} \;

override_dh_install-arch:
	dh_install -a
	touch debian/notion/etc/X11/notion/cfg_debian_ext.lua


override_dh_fixperms-indep:
	dh_fixperms
	# this needs to be executable
	chmod a+x debian/notion-dev/usr/lib/notion/libextl/libextl-mkexports

# The manpages are build and moved to debian/tmp whether we're building arch-any
# packages or not. I don't want this to kill the build. Closes: 987507
override_dh_missing:
	dh_missing --list-missing
