=== debian/watch ===
version=4
opts=dversionmangle=s/(?:\+dfsg|\+repack).*$//,\
filenamemangle=s/.+\/tcpflow-?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/raboof/notion/tags .*/(\d\S+)\.tar\.gz
